Problème avec electron quick start


#1

bonjour à tous,

je suis tout neuf dans le domaine Raspbian donc je profites pour demander de l’aide.

j’ai souhaité installer electron-quick-start (pas de souci), mais lorsque je le lance, ça me donne ceci:

pi@raspberrypi:~/electron-quick-start $ npm start

electron-quick-start@1.0.0 start /home/pi/electron-quick-start
electron .

/home/pi/electron-quick-start/node_modules/electron/dist/electron: /lib/arm-linux-gnueabihf/libc.so.6: version GLIBC_2.27' not found (required by /home/pi/electron-quick-start/node_modules/electron/dist/electron) npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! electron-quick-start@1.0.0 start:electron .`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the electron-quick-start@1.0.0 start script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR! /home/pi/.npm/_logs/2019-03-03T18_56_10_813Z-debug.log

je ne comprends pas trop pourquoi s’il est bien installé…
Quelqu’un à une idée?

merci d’avance :slight_smile:


#2

Bonjour,

Il faut consulter ce fichier et chercher les erreurs présentes. Un copié collé de ces erreurs dans un moteur de recherche Internet devrait amener vers des solutions. Enfin c’est comme ça que je procéderait.

Bon courage.

A+


#3

Bonjour,

je te remercie pour ta réponse!
Petite question ridicule: comment je peux voir le dossier “.npm” car il n’apparait pas dans mon arborescence…


#4

Bonjour,

Pour afficher les fichiers cachés

  • dans un terminal ls -al
  • dans un explorateur de fichier clic droit - afficher les fichiers cachés

A+